<?php

declare (strict_types=1);
namespace CelerSearch\Vendor\Meilisearch\Contracts;

/**
 * @template T of array
 * @internal
 */
interface TaskDetails
{
    /**
     * @param T $data
     */
    public static function fromArray(array $data) : self;
}
